@echo off

set SQUISH_PATH=c:\bbs\squish

rem
rem This batch file is executed when running SqaFix maintenance mode
rem with the following command:
rem 
rem SqaFix Maint ChkBase.Bat
rem
rem Parameters:
rem 
rem %1  - area tag
rem %2  - area path
rem %3  - area type ('Squish' or 'Msg')
rem %4  - passthru status ('PassThru' or 'NotPassThru')
rem

 if not '%3' == 'Squish' goto EXIT
:echo - ChkBase.bat: Checking %1 in %2
 if '%4' == 'PassThru' goto PASSTHRU

rem
rem Check Squish message base integrity and fix it if necessary
rem

 %SQUISH_PATH%\sqinfo %2 -e > nul
 if not errorlevel 1 goto EXIT
 echo ! ChkBase.bat: Fixing %1 in %2
 %SQUISH_PATH%\sqfix %2 > nul
 echo Y | del %2.xx?
 goto EXIT

rem
rem Check if Squish message base files exist for the passthru area and
rem delete them leaving only the dupe database file *.SQB
rem

:PASSTHRU
 if exist %2.sqd del %2.sqd
 if exist %2.sqi del %2.sqi
 if exist %2.sql del %2.sql

:EXIT

 set SQUISH_PATH=

