@echo off

set SQUISH_PATH=c:\bbs\squish

rem
rem This batch file is executed when running SqaFix maintenance mode
rem with the following command:
rem 
rem SqaFix Maint ChkBase.cmd
rem
rem Parameters:
rem 
rem %1	- area tag
rem %2	- area path
rem %3	- area type ('Squish' or 'Msg')
rem %4  - passthru status ('PassThru' or 'NotPassThru')
rem

 if not '%3' == 'Squish' goto EXIT
 echo - Checking %1 in %2.SQD
 if '%4' == 'PassThru' goto PASSTHRU

rem
rem Check Squish message base integrity and fix it if necessary
rem

 %SQUISH_PATH%\sqinfop "%2." -e > nul
 if not errorlevel 1 goto EXIT
 echo ! Fixing %1 in %2.SQD
 %SQUISH_PATH%\sqfixp %2.SQD > nul
 echo Y | del %2.xx?
 goto EXIT

rem
rem Check if Squish message base files exist for the passthru area and
rem delete them leaving only the dupe database file *.SQB
rem

:PASSTHRU
 if exist %2.sqd del %2.sqd
 if exist %2.sqi del %2.sqi
 if exist %2.sql del %2.sql

:EXIT
